Bug 1412288 - Generate notification for VM Provisioning error in automate
Summary: Generate notification for VM Provisioning error in automate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: William Fitzgerald
QA Contact: Milan Falešník
URL:
Whiteboard: notification:automate
Depends On: 1411989
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 16:54 UTC by Satoe Imaishi
Modified: 2017-02-27 19:21 UTC (History)
4 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411989
Environment:
Last Closed: 2017-02-27 19:21:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-11 21:35:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/27745bc2bdd08d08c5f9c002e81d1e3d6ce4cd43

commit 27745bc2bdd08d08c5f9c002e81d1e3d6ce4cd43
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Dec 15 14:45:51 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 11 16:32:01 2017 -0500

    Merge pull request #12347 from billfitzgerald0120/notify_vms
    
    Automate - Notification for VM Provisioning error.
    (cherry picked from commit 4a92243eebeef88909c7f098fa1aa2192636122b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412288

 .../__methods__/update_provision_status.rb                   |  5 +++++
 .../__methods__/update_provision_status.rb                   |  5 +++++
 .../__methods__/update_provision_status.rb                   |  5 +++++
 .../update_provision_status_vm_cloud_spec.rb                 | 12 ++++++++++++
 .../update_provision_status_vm_infra_spec.rb                 | 12 ++++++++++++
 .../update_provision_status_vm_template_infra_spec.rb        | 12 ++++++++++++
 6 files changed, 51 insertions(+)

Comment 3 Milan Falešník 2017-01-30 16:53:40 UTC
Verified in 5.7.1.0.

I copied the instance of state machine that takes care of cloud vm provisioning from template. I modified the copied instance's class to have max retries only 1 everywhere. I then copied the preprovision method for openstack and set it to retry forever.

Once I kicked the provisioning off, I received a notification in a couple of minutes starting with "VM Provision Error:" as the code in PR is supposed to do.

Comment 5 errata-xmlrpc 2017-02-27 19:21:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.